(function() {
    function alert(username, desc, tpe) {
      var pb = new java.lang.ProcessBuilder("/usr/bin/python3", "./main.py", tpe, username, desc, "/opt/PhantomBot/config/gif-alerts/");
      var proc = pb.start();
      proc.waitFor();
  
      $.panelsocketserver.alertImage(tpe+".gif?noise=" + Math.floor(Math.random() * 1000 + 1));
    }
    $.bind('twitchFollow', function(event) {
      var follower = event.getFollower();
      alert(follower.toUpperCase(), "NEW FOLLOWER", "follow");
    });
    $.bind('twitchSubscriber', function(event) {
      var subscriber = event.getSubscriber();
      alert(subscriber.toUpperCase(), "NEW SUBSCRIBER", "subscribe");
    });

    $.bind('initReady', function() {
      $.registerChatCommand('./custom/custom/customAlerts.js', 'calert');
      $.registerChatSubcommand('calert', 'follow', 2);
      $.registerChatSubcommand('calert', 'subscribe', 2);
      $.registerChatSubcommand('calert', 'donation', 2);
    });
  })();
  